Gecode::StdIntTracer Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for integer and Boolean variables

Standard integer variable tracer. More...

`#include <int.hh>`

## Public Member Functions

| StdIntTracer (std::ostream &os0=std::cerr)
| Initialize with output stream os0 and events \ e.
virtual void | init (const Space &home, const IntTraceRecorder &t)
| Print init information.
virtual void | prune (const Space &home, const IntTraceRecorder &t, const ViewTraceInfo &vti, int i, IntTraceDelta &d)
| Print prune information.
virtual void | fix (const Space &home, const IntTraceRecorder &t)
| Print fixpoint information.
virtual void | fail (const Space &home, const IntTraceRecorder &t)
| Print failure information.
virtual void | done (const Space &home, const IntTraceRecorder &t)
| Print that trace recorder is done.
Public Member Functions inherited from Gecode::ViewTracer< Int::IntView >
| ViewTracer (void)
| Constructor.
virtual void | init (const Space &home, const ViewTraceRecorder< Int::IntView > &t)=0
| Init function.
virtual void | prune (const Space &home, const ViewTraceRecorder< Int::IntView > &t, const ViewTraceInfo &vti, int i, typename TraceTraits< Int::IntView >::TraceDelta &d)=0
| Prune function.
virtual void | fail (const Space &home, const ViewTraceRecorder< Int::IntView > &t)=0
| Fail function.
virtual void | fix (const Space &home, const ViewTraceRecorder< Int::IntView > &t)=0
| Fixpoint function.
virtual void | done (const Space &home, const ViewTraceRecorder< Int::IntView > &t)=0
| Done function.
virtual | ~ViewTracer (void)
| Destructor.

## Static Public Attributes

static StdIntTracer | def
| Default tracer (printing to std::cerr).

## Protected Attributes

std::ostream & | os
| Output stream to use.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Static Protected Attributes inherited from Gecode::TracerBase
static Support::Mutex | m
| Mutex to provide synchronization.

## Detailed Description

Standard integer variable tracer.

Definition at line 5601 of file int.hh.

## Constructor & Destructor Documentation

## StdIntTracer()

Gecode::StdIntTracer::StdIntTracer | ( | std::ostream & | os0 = std::cerr | ) |

Initialize with output stream os0 and events \ e.

Definition at line 39 of file tracer.cpp.

## Member Function Documentation

## init()

void Gecode::StdIntTracer::init | ( | const Space & | home,
|  | const IntTraceRecorder & | t )

virtual

Print init information.

Definition at line 43 of file tracer.cpp.

## prune()

void Gecode::StdIntTracer::prune | ( | const Space & | home,
|  | const IntTraceRecorder & | t,
|  | const ViewTraceInfo & | vti,
|  | int | i,
|  | IntTraceDelta & | d )

virtual

Print prune information.

Definition at line 52 of file tracer.cpp.

## fix()

void Gecode::StdIntTracer::fix | ( | const Space & | home,
|  | const IntTraceRecorder & | t )

virtual

Print fixpoint information.

Definition at line 72 of file tracer.cpp.

## fail()

void Gecode::StdIntTracer::fail | ( | const Space & | home,
|  | const IntTraceRecorder & | t )

virtual

Print failure information.

Definition at line 90 of file tracer.cpp.

## done()

void Gecode::StdIntTracer::done | ( | const Space & | home,
|  | const IntTraceRecorder & | t )

virtual

Print that trace recorder is done.

Definition at line 108 of file tracer.cpp.

## Member Data Documentation

## os

std::ostream& Gecode::StdIntTracer::os

protected

Output stream to use.

Definition at line 5604 of file int.hh.

## def

StdIntTracer Gecode::StdIntTracer::def

static

Default tracer (printing to std::cerr).

Definition at line 5620 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/trace/tracer.cpp